# HTTP API

## Overview

The Specify HTTP API is accessible over the following base url:

```
https://api.specifyapp.com/v2
```

{% hint style="info" %}
The Specify HTTP API is currently read-only upon your design data.
{% endhint %}

## Authentication

In order to request the routes of the HTTP API, you need to set a Personal Access Token within your request headers like so:

```
Authorization: PAT <your-personal-access-token>
```

{% hint style="info" %}
Get a Personal Access Token from [your user settings ↗︎](https://specifyapp.com/user/personal-access-tokens)
{% endhint %}

## Headers

To work with the Specify HTTP API, we recommend the use of the following headers:

```
Content-Type: application/json
Authorization: PAT <your-personal-access-token>
```

## Endpoints

<table><thead><tr><th width="111">Verb</th><th width="305">Route</th><th>Description</th></tr></thead><tbody><tr><td><code>POST</code></td><td><a href="/pages/1ZcAkMrh1TrjwrGN5rFM"><code>/parsers-engine-rpc</code></a></td><td>Execute the <a href="/pages/KqUpwmCkEdT919LYPoZS">Parsers Engine</a> against a given input and <a href="/pages/BE8GV64z8L12OkglNmN2#parserrule">Parsers Rules</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specifyapp.com/reference/http-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
